Fix build with gcc-4.9

Review Request #120832 - Created Oct. 27, 2014 and submitted

Information
Heiko Becker
kcalc
frameworks
Reviewers
kdeutils
From https://gcc.gnu.org/gcc-4.9/porting_to.html:
"The <cstddef> header was updated for C++11 support and this breaks
some libraries which misuse macros meant for internal use by GCC
only. For instance with GMP versions up to 5.1.3, you may see:

/usr/include/c++/4.9.0/cstddef:51:11: error: ‘::max_align_t’ has
not been declared using ::max_align_t;

A workaround until libraries get updated is to include <cstddef> or
<stddef.h> before any headers from that library."

  
Evan Teran
Heiko Becker
Review request changed

Status: Closed (submitted)

Loading...